package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;
import com.scpyun.platform.jilinsscgsdp.bean.entity.JlEventUser;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Author liu
 * @Date 2025/1/2 9:23
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.vo
 * @ClassName: ReqEventInsertVo
 * @Description: TODO
 * @Version 1.0
 */
public class ReqEventInsertVo {
    private String id;
    private String earlyWarningTime;
    private String alarmTime;
    private String eventCode;
    private String status;
    private String isSpecialTasks;
    @NotEmpty(message = "事件类别不可为空！")
    private String eventType;

    /**
     * 纠纷大类
     */
    @NotEmpty(message = "纠纷类别不可为空！")
    private String eventCategoryId;

    /**
     * 纠纷小类
     */
    @NotEmpty(message = "纠纷类别不可为空！")
    private String eventTypeId;
    private String isHiddenDanger;
    private String isDifficult;
    private String isPublicOpinion;
    private String isPointEvent;
    private String involvedNumber;

    /**
     * 发生时间
     */
    private String occurrenceTime;
    private String cityId;
    private String areaId;
    private String streetId;
    private String communityId;
    private String gardenId;
    private String buildingId;
    private String unitId;
    private String floorId;
    private String doorplateId;
    @NotEmpty(message = "事件来源不可为空！")
    private String eventSource;
    private String address;
    private String disputeDescription;
    private String reportingName;
    private String reportingUnit;
    private String reportingUnitCode;
    private String reportingGarden;
    private String recordId;
    private List<@Valid ReqEventAttachInsertVo> urlList;
    private String eventId;
    private User _user;
    private String logType;
    private String gradeD;
    private Integer hierarchy;
    private String gradeUserId;
    private String eventFlowSettingType;
    private String version;
    private String flowVersion;
    private String flowId;
    private String officeId;
    private String officeName;
    private String lineName;
    private String lineId;
    private String assignmentType;
    private String riskLevel;
    private String termTime;
    private String logResult;
    private String assignResult;
    private String isEarlyWarning;
    private String eventCheck;
    private String resolveName;
    private String resolveUnit;
    private String resolveHierarchy;
    private String resolveWay;
    private String resolveTime;
    private String isSatisfaction;
    private String resolveProcess;
    private String isResolve;
    private String warningLevel;
    private String contacts;
    private String completeTime;
    private String backTime;
    private String assignTime;
    private String receiveTime;
    private String assignmentTime;
    private String attachment;
    private String dealWarnTime;
    private String dealEndTime;
    private String crossOfficeId;
    private List<String> officeList;
    @NotEmpty(message = "当事人不可为空！")
    private List<ReqEventUserInsertVo> userList;
    private String riskName;
    private String event_category_other_name;
    private String event_category_mini_other_name;
    private int count;
    private String is_involve_everyone;
    private String is_involve_everyone_count;
    private String is_dispatch_office;

    private String event_name;
    private String event_tel;
    private String eventTel;
    private String triggerType;
    private String createTime;

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getEventTel() {
        return eventTel;
    }

    public void setEventTel(String eventTel) {
        this.eventTel = eventTel;
    }

    public String getEvent_tel() {
        return event_tel;
    }

    public void setEvent_tel(String event_tel) {
        this.event_tel = event_tel;
    }

    public String getEvent_name() {
        return event_name;
    }

    public void setEvent_name(String event_name) {
        this.event_name = event_name;
    }

    public String getIs_dispatch_office() {
        return is_dispatch_office;
    }

    public void setIs_dispatch_office(String is_dispatch_office) {
        this.is_dispatch_office = is_dispatch_office;
    }

    /**
     * 风险因素名称
     */
    private String factorName;

    public String getIs_involve_everyone() {
        return is_involve_everyone;
    }

    public void setIs_involve_everyone(String is_involve_everyone) {
        this.is_involve_everyone = is_involve_everyone;
    }

    public String getIs_involve_everyone_count() {
        return is_involve_everyone_count;
    }

    public void setIs_involve_everyone_count(String is_involve_everyone_count) {
        this.is_involve_everyone_count = is_involve_everyone_count;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public String getRiskName() {
        return riskName;
    }

    public String getEvent_category_other_name() {
        return event_category_other_name;
    }

    public void setEvent_category_other_name(String event_category_other_name) {
        this.event_category_other_name = event_category_other_name;
    }

    public String getEvent_category_mini_other_name() {
        return event_category_mini_other_name;
    }

    public void setEvent_category_mini_other_name(String event_category_mini_other_name) {
        this.event_category_mini_other_name = event_category_mini_other_name;
    }

    public void setRiskName(String riskName) {
        this.riskName = riskName;
    }

    public String getFactorName() {
        return factorName;
    }

    public void setFactorName(String factorName) {
        this.factorName = factorName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEarlyWarningTime() {
        return earlyWarningTime;
    }

    public void setEarlyWarningTime(String earlyWarningTime) {
        this.earlyWarningTime = earlyWarningTime;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getEventCode() {
        return eventCode;
    }

    public void setEventCode(String eventCode) {
        this.eventCode = eventCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsSpecialTasks() {
        return isSpecialTasks;
    }

    public void setIsSpecialTasks(String isSpecialTasks) {
        this.isSpecialTasks = isSpecialTasks;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getEventCategoryId() {
        return eventCategoryId;
    }

    public void setEventCategoryId(String eventCategoryId) {
        this.eventCategoryId = eventCategoryId;
    }

    public String getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getIsHiddenDanger() {
        return isHiddenDanger;
    }

    public void setIsHiddenDanger(String isHiddenDanger) {
        this.isHiddenDanger = isHiddenDanger;
    }

    public String getIsDifficult() {
        return isDifficult;
    }

    public void setIsDifficult(String isDifficult) {
        this.isDifficult = isDifficult;
    }

    public String getIsPublicOpinion() {
        return isPublicOpinion;
    }

    public void setIsPublicOpinion(String isPublicOpinion) {
        this.isPublicOpinion = isPublicOpinion;
    }

    public String getIsPointEvent() {
        return isPointEvent;
    }

    public void setIsPointEvent(String isPointEvent) {
        this.isPointEvent = isPointEvent;
    }

    public String getInvolvedNumber() {
        return involvedNumber;
    }

    public void setInvolvedNumber(String involvedNumber) {
        this.involvedNumber = involvedNumber;
    }

    public String getOccurrenceTime() {
        return occurrenceTime;
    }

    public void setOccurrenceTime(String occurrenceTime) {
        this.occurrenceTime = occurrenceTime;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getStreetId() {
        return streetId;
    }

    public void setStreetId(String streetId) {
        this.streetId = streetId;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getGardenId() {
        return gardenId;
    }

    public void setGardenId(String gardenId) {
        this.gardenId = gardenId;
    }

    public String getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(String buildingId) {
        this.buildingId = buildingId;
    }

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getFloorId() {
        return floorId;
    }

    public void setFloorId(String floorId) {
        this.floorId = floorId;
    }

    public String getDoorplateId() {
        return doorplateId;
    }

    public void setDoorplateId(String doorplateId) {
        this.doorplateId = doorplateId;
    }

    public String getEventSource() {
        return eventSource;
    }

    public void setEventSource(String eventSource) {
        this.eventSource = eventSource;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDisputeDescription() {
        return disputeDescription;
    }

    public void setDisputeDescription(String disputeDescription) {
        this.disputeDescription = disputeDescription;
    }

    public String getReportingName() {
        return reportingName;
    }

    public void setReportingName(String reportingName) {
        this.reportingName = reportingName;
    }

    public String getReportingUnit() {
        return reportingUnit;
    }

    public void setReportingUnit(String reportingUnit) {
        this.reportingUnit = reportingUnit;
    }

    public String getReportingGarden() {
        return reportingGarden;
    }

    public void setReportingGarden(String reportingGarden) {
        this.reportingGarden = reportingGarden;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public List<ReqEventAttachInsertVo> getUrlList() {
        return urlList;
    }

    public void setUrlList(List<ReqEventAttachInsertVo> urlList) {
        this.urlList = urlList;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public String getGradeD() {
        return gradeD;
    }

    public void setGradeD(String gradeD) {
        this.gradeD = gradeD;
    }

    public Integer getHierarchy() {
        return hierarchy;
    }

    public void setHierarchy(Integer hierarchy) {
        this.hierarchy = hierarchy;
    }

    public String getGradeUserId() {
        return gradeUserId;
    }

    public void setGradeUserId(String gradeUserId) {
        this.gradeUserId = gradeUserId;
    }

    public String getEventFlowSettingType() {
        return eventFlowSettingType;
    }

    public void setEventFlowSettingType(String eventFlowSettingType) {
        this.eventFlowSettingType = eventFlowSettingType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFlowVersion() {
        return flowVersion;
    }

    public void setFlowVersion(String flowVersion) {
        this.flowVersion = flowVersion;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getOfficeId() {
        return officeId;
    }

    public void setOfficeId(String officeId) {
        this.officeId = officeId;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getLineId() {
        return lineId;
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getAssignmentType() {
        return assignmentType;
    }

    public void setAssignmentType(String assignmentType) {
        this.assignmentType = assignmentType;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public String getTermTime() {
        return termTime;
    }

    public void setTermTime(String termTime) {
        this.termTime = termTime;
    }

    public String getLogResult() {
        return logResult;
    }

    public void setLogResult(String logResult) {
        this.logResult = logResult;
    }

    public String getAssignResult() {
        return assignResult;
    }

    public void setAssignResult(String assignResult) {
        this.assignResult = assignResult;
    }

    public String getIsEarlyWarning() {
        return isEarlyWarning;
    }

    public void setIsEarlyWarning(String isEarlyWarning) {
        this.isEarlyWarning = isEarlyWarning;
    }

    public String getEventCheck() {
        return eventCheck;
    }

    public void setEventCheck(String eventCheck) {
        this.eventCheck = eventCheck;
    }

    public String getResolveName() {
        return resolveName;
    }

    public void setResolveName(String resolveName) {
        this.resolveName = resolveName;
    }

    public String getResolveUnit() {
        return resolveUnit;
    }

    public void setResolveUnit(String resolveUnit) {
        this.resolveUnit = resolveUnit;
    }

    public String getResolveHierarchy() {
        return resolveHierarchy;
    }

    public void setResolveHierarchy(String resolveHierarchy) {
        this.resolveHierarchy = resolveHierarchy;
    }

    public String getResolveWay() {
        return resolveWay;
    }

    public void setResolveWay(String resolveWay) {
        this.resolveWay = resolveWay;
    }

    public String getResolveTime() {
        return resolveTime;
    }

    public void setResolveTime(String resolveTime) {
        this.resolveTime = resolveTime;
    }

    public String getIsSatisfaction() {
        return isSatisfaction;
    }

    public void setIsSatisfaction(String isSatisfaction) {
        this.isSatisfaction = isSatisfaction;
    }

    public String getResolveProcess() {
        return resolveProcess;
    }

    public void setResolveProcess(String resolveProcess) {
        this.resolveProcess = resolveProcess;
    }

    public String getIsResolve() {
        return isResolve;
    }

    public void setIsResolve(String isResolve) {
        this.isResolve = isResolve;
    }

    public String getWarningLevel() {
        return warningLevel;
    }

    public void setWarningLevel(String warningLevel) {
        this.warningLevel = warningLevel;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(String completeTime) {
        this.completeTime = completeTime;
    }

    public String getBackTime() {
        return backTime;
    }

    public void setBackTime(String backTime) {
        this.backTime = backTime;
    }

    public String getAssignTime() {
        return assignTime;
    }

    public void setAssignTime(String assignTime) {
        this.assignTime = assignTime;
    }

    public String getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(String receiveTime) {
        this.receiveTime = receiveTime;
    }

    public String getAssignmentTime() {
        return assignmentTime;
    }

    public void setAssignmentTime(String assignmentTime) {
        this.assignmentTime = assignmentTime;
    }

    public String getAttachment() {
        return attachment;
    }

    public void setAttachment(String attachment) {
        this.attachment = attachment;
    }

    public String getDealWarnTime() {
        return dealWarnTime;
    }

    public void setDealWarnTime(String dealWarnTime) {
        this.dealWarnTime = dealWarnTime;
    }

    public String getDealEndTime() {
        return dealEndTime;
    }

    public void setDealEndTime(String dealEndTime) {
        this.dealEndTime = dealEndTime;
    }

    public String getCrossOfficeId() {
        return crossOfficeId;
    }

    public void setCrossOfficeId(String crossOfficeId) {
        this.crossOfficeId = crossOfficeId;
    }

    public List<String> getOfficeList() {
        return officeList;
    }

    public void setOfficeList(List<String> officeList) {
        this.officeList = officeList;
    }

    public List<ReqEventUserInsertVo> getUserList() {
        return userList;
    }

    public void setUserList(List<ReqEventUserInsertVo> userList) {
        this.userList = userList;
    }

    public void copyFrom (ReqEventFlowLogInsertVo vo) {
        this.setId(vo.getId());
        this.setEarlyWarningTime(vo.getEarlyWarningTime());
        this.setAlarmTime(vo.getAlarmTime());
        this.setEventCode(vo.getEventCode());
        this.setStatus(vo.getStatus());
        this.setIsSpecialTasks(vo.getIsSpecialTasks());
        this.setEventType(vo.getEventType());
        this.setEventCategoryId(vo.getEventCategoryId());
        this.setEventTypeId(vo.getEventTypeId());
        this.setIsHiddenDanger(vo.getIsHiddenDanger());
        this.setIsDifficult(vo.getIsDifficult());
        this.setIsPublicOpinion(vo.getIsPublicOpinion());
        this.setIsPointEvent(vo.getIsPointEvent());
        this.setInvolvedNumber(vo.getInvolvedNumber());
        this.setOccurrenceTime(vo.getOccurrenceTime());
        this.setCityId(vo.getCityId());
        this.setAreaId(vo.getAreaId());
        this.setStreetId(vo.getStreetId());
        this.setCommunityId(vo.getCommunityId());
        this.setGardenId(vo.getGardenId());
        this.setBuildingId(vo.getBuildingId());
        this.setUnitId(vo.getUnitId());
        this.setFloorId(vo.getFloorId());
        this.setDoorplateId(vo.getDoorplateId());
        this.setEventSource(vo.getEventSource());
        this.setAddress(vo.getAddress());
        this.setDisputeDescription(vo.getDisputeDescription());
        this.setReportingName(vo.getReportingName());
        this.setReportingGarden(vo.getReportingUnit());
        this.setReportingGarden(vo.getReportingGarden());
        this.setRecordId(vo.getRecordId());
        this.setEventId(vo.getEventId());
        this.set_user(vo.get_user());
        this.setLogType(vo.getLogType());
        this.setHierarchy(vo.getHierarchy());
        this.setGradeUserId(vo.getGradeUserId());
        this.setEventFlowSettingType(vo.getEventFlowSettingType());
        this.setVersion(vo.getVersion());
        this.setFlowVersion(vo.getFlowVersion());
        this.setFlowId(vo.getFlowId());
        this.setOfficeId(vo.getOfficeId());
        this.setOfficeName(vo.getOfficeName());
        this.setLineName(vo.getLineName());
        this.setLineId(vo.getLineId());
        this.setAssignmentType(vo.getAssignmentType());
        this.setRiskLevel(vo.getRiskLevel());
        this.setTermTime(vo.getTermTime());
        this.setLogResult(vo.getLogResult());
        this.setAssignResult(vo.getAssignResult());
        this.setIsEarlyWarning(vo.getIsEarlyWarning());
        this.setEventCheck(vo.getEventCheck());
        this.setResolveName(vo.getResolveName());
        this.setResolveUnit(vo.getResolveUnit());
        this.setResolveHierarchy(vo.getResolveHierarchy());
        this.setResolveWay(vo.getResolveWay());
        this.setResolveTime(vo.getResolveTime());
        this.setIsSatisfaction(vo.getIsSatisfaction());
        this.setResolveProcess(vo.getResolveProcess());
        this.setIsResolve(vo.getIsResolve());
        this.setWarningLevel(vo.getWarningLevel());
        this.setContacts(vo.getContacts());
        this.setCompleteTime(vo.getCompleteTime());
        this.setBackTime(vo.getBackTime());
        this.setAssignTime(vo.getAssignTime());
        this.setReceiveTime(vo.getReceiveTime());
        this.setAssignmentTime(vo.getAssignmentTime());
        this.setAttachment(vo.getAttachment());
        this.setDealWarnTime(vo.getDealWarnTime());
        this.setDealEndTime(vo.getDealEndTime());
        this.setCrossOfficeId(vo.getCrossOfficeId());
    }

    public String getTriggerType() {
        return triggerType;
    }

    public void setTriggerType(String triggerType) {
        this.triggerType = triggerType;
    }

    public String getReportingUnitCode() {
        return reportingUnitCode;
    }

    public void setReportingUnitCode(String reportingUnitCode) {
        this.reportingUnitCode = reportingUnitCode;
    }
}
